<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 10.04.2007
     DVD Profiler Version 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text"
  encoding="ISO-8859-1"/>
  
<!-- ***************
     To make use of the DVD cover images, change the first following variable to the path
     of the local installation of DVD Profiler
     *************** -->

<xsl:variable name="dvdprofilerpath">/cygdrive/c/Dokumente\ und\ Einstellungen/Michael\ Cordes/Eigene\ Dateien/DVD\ Profiler/Databases/Default/</xsl:variable>
<xsl:variable name="dvdprofilerimagespath"><xsl:value-of select="$dvdprofilerpath"/>Images/</xsl:variable>
<xsl:variable name="dvdprofilerthumbnailspath"><xsl:value-of select="$dvdprofilerimagespath"/>Thumbnails/</xsl:variable>

<xsl:variable name="localwebserverpath">../dvdcover/</xsl:variable>
<xsl:variable name="localwebserverpaththumbnail"><xsl:value-of select="$localwebserverpath"/>thumbnails/</xsl:variable>

<xsl:template match="Collection">
  <xsl:apply-templates select="DVD"/>
  <xsl:text>chmod 777 -R </xsl:text>
  <xsl:value-of select="$localwebserverpath"/>
  <xsl:text>&#xa;</xsl:text>
</xsl:template>

<xsl:template match="DVD">
  <xsl:variable name="frontcover">
    <xsl:value-of select="$dvdprofilerimagespath"/>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="backcover">
    <xsl:value-of select="$dvdprofilerimagespath"/>
    <xsl:value-of select="ID"/>
    <xsl:text>b.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="frontcover-local">
    <xsl:value-of select="$localwebserverpath"/>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="frontthumb-local">
    <xsl:value-of select="$localwebserverpaththumbnail"/>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
<!-- Anime Owned -->
  <xsl:if test="contains(Genres, 'Anime') and contains(CollectionType, 'Owned') and not(contains(Genres, 'Adult'))">
    <xsl:text>if [ </xsl:text>
    <xsl:value-of select="$frontcover"/>
    <xsl:text> -nt </xsl:text>
    <xsl:value-of select="$frontcover-local"/>
    <xsl:text> ] ; then&#xa;</xsl:text>
    <xsl:text>  cp </xsl:text>
    <xsl:value-of select="$frontcover"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="$localwebserverpath"/>
    <xsl:text>&#xa;</xsl:text>
    <xsl:text>  cp </xsl:text>
    <xsl:value-of select="$backcover"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="$localwebserverpath"/>
    <xsl:text>&#xa;</xsl:text>
    <xsl:text>  convert.exe </xsl:text>
    <xsl:value-of select="$frontcover"/>
    <xsl:text> -thumbnail 90x </xsl:text>
    <xsl:value-of select="$frontthumb-local"/>
    <xsl:text>&#xa;fi&#xa;</xsl:text>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

