<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 07.04.2007
     DVD Profiler Version 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-subtitles.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>
  <xsl:include href="templates/template-audio.xsl"/>

<xsl:output method="html"
  encoding="ISO-8859-1"
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
  doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

<xsl:template match="Collection">
<html>
  <head>
    <title>Mithis Criterion-Collection</title>
    <meta name="author" content="Michael Cordes"/>
    <link rel="stylesheet" type="text/css" href="/privat/dvd-list.css"/>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
    <link rel="shortcut icon" href="/privat/favicon.ico" type="image/x-icon"/>
  </head>
  <body>
    <h1>Mithis Criterion-Collection</h1>
    <br/><br/>
    <table class="box" cellpadding="0" summary="DVD Liste" align="center">
        <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates>
    </table>
  </body>
</html>
</xsl:template>

<xsl:template match="DVD">
<!-- Criterions Owned -->
  <xsl:if test="count(Tags/Tag[@Name = 'Criterion'])&gt;0 and contains(CollectionType, 'Owned')">
    <xsl:choose>
      <xsl:when test="string-length(BoxSet/Parent)&gt;0">
        <tr>
          <td class="box2" rowspan="2">
          </td>
          <td class="dvdtitle" colspan="1"><xsl:value-of select="Title"/>
            <xsl:if test="string-length(DistTrait)&gt;0">
              <br/><xsl:value-of select="DistTrait"/>
            </xsl:if>
          </td>
        </tr>
        <tr>
          <td>
          <xsl:call-template name="Features"/>
          </td>
        </tr>
    </xsl:when>
    <xsl:otherwise>
       <tr>
          <td class="dvdtitle" colspan="2"><xsl:value-of select="Title"/>
            <xsl:if test="string-length(DistTrait)&gt;0">
              <br/><xsl:value-of select="DistTrait"/>
           </xsl:if>
         </td>
       </tr>
       <tr>
         <td colspan="2">
          <xsl:call-template name="Features"/>
         </td>
       </tr>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template name="Features">
            <table border="0" width="100%">
              <tr>
                <td colspan="2" class="dvddata"><xsl:apply-templates select="Credits"/></td>
              </tr>
              <tr>
                <td width="50%" class="dvddata"><xsl:value-of select="ProductionYear"/></td>
                <td width="50%" class="dvddata"><xsl:value-of select="RunningTime"/><xsl:text> min</xsl:text></td>
              </tr>
              <tr>
                <td colspan="2" class="dvddata"><xsl:text>Ratio: </xsl:text><xsl:value-of select="Format/FormatAspectRatio"/><xsl:text>:1 </xsl:text>
                <xsl:if test="contains(Format/Format16X9, 'True')">
                <xsl:text>anamorph </xsl:text>
                </xsl:if>
                <xsl:value-of select="Format/FormatVideoStandard"/>
                </td>
              </tr>
              <tr>
                <td class="dvddata"><xsl:apply-templates select="Regions"/></td>
                <td class="dvddata"><xsl:text>Rating: </xsl:text><xsl:value-of select="Rating"/></td>
              </tr>
              <tr>
                <td class="dvddata" colspan="2"><xsl:apply-templates select="Genres"/></td>
              </tr>
              <tr>
                <td class="dvddata"><xsl:text>Language</xsl:text></td>
                <td class="dvddata"><xsl:text>Format</xsl:text></td>
              </tr>
              <xsl:apply-templates select="Audio"/>
              <tr>
                <td class="dvddata" colspan="2"><xsl:apply-templates select="Subtitles"/></td>
              </tr>
            </table>
</xsl:template>

</xsl:stylesheet>
