<?xml version="1.0" encoding="ISO-8859-1"?>


<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 03.08.2009
     DVD Profiler Version 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>

<xsl:output method="html"
  encoding="ISO-8859-1"
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
  doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

<xsl:template match="Collection">
<html>
  <head>
    <title>Mithis ungesehene DVDs/BDs</title>
    <meta name="author" content="Michael Cordes"/>
    <link rel="stylesheet" type="text/css" href="/privat/dvd-list.css"/>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
    <link rel="shortcut icon" href="/privat/favicon.ico" type="image/x-icon"/>
  </head>
  <body>
    <h1>Mithis ungesehene DVDs/BDs</h1>
    <br/>
<!--     <h3>Zur Zeit <xsl:value-of select="count(/Collection/DVD[CollectionType='Owned' and not(Events/Event/EventType='Watched') and not(RunningTime='0')])"/> Titel</h3> -->
    <h3>Zur Zeit <xsl:value-of select="count(/Collection/DVD[CollectionType='Owned' and not(Events/Event/EventType='Watched') and count(CollectionNumber[text()]) &gt; 0])"/> Titel</h3>
    <table class="box" cellpadding="0" summary="DVD Liste" align="center">
        <xsl:apply-templates select="DVD"><xsl:sort select="RunningTime" data-type="number"/><xsl:sort select="SortTitle"/></xsl:apply-templates>
    </table>
    <h3><xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned' and not(Events/Event/EventType='Watched')]/RunningTime)"/> Minuten Laufzeit</h3>
    <h4>
      <xsl:element name="a">                                    
        <xsl:attribute name="href">
        <xsl:text>bestellt-collection.html</xsl:text>    
        </xsl:attribute>
        ( <xsl:value-of select="sum(/Collection/DVD[CollectionType='Ordered']/RunningTime)"/> Minuten Laufzeit bestellt bzw im Versand )
      </xsl:element>
    </h4>
  </body>
</html>
</xsl:template>


<xsl:template match="DVD">
<!-- Ungesehen Owned -->
<!--   <xsl:if test="not(contains(Events, 'Watched')) and contains(CollectionType, 'Owned') and not(RunningTime='0')"> -->
<!--   <xsl:if test="not(contains(Events, 'Watched')) and contains(CollectionType, 'Owned') and count(BoxSet/Parent[text()]) = 0"> -->
  <xsl:if test="not(contains(Events, 'Watched')) and contains(CollectionType, 'Owned') and count(CollectionNumber[text()]) &gt; 0">
       <tr>
         <td class="dvdtitle"><xsl:value-of select="Title"/>
           <xsl:if test="string-length(DistTrait)&gt;0">
             <br/><xsl:value-of select="DistTrait"/>
           </xsl:if>
         </td>
         <td class="dvdtitle">
           <xsl:if test="MediaTypes/BluRay='true'">
             <xsl:element name="img">
               <xsl:attribute name="src">
                 <xsl:text>pics/logo-bd-weiss.png</xsl:text>
               </xsl:attribute>
               <xsl:attribute name="alt">
                 <xsl:text>BD </xsl:text>
               </xsl:attribute>
             </xsl:element>
           </xsl:if>
           <xsl:if test="MediaTypes/DVD='true' and MediaTypes/BluRay='false'">
             <xsl:element name="img">
               <xsl:attribute name="src">
                 <xsl:text>pics/logo-dvd-weiss.png</xsl:text>
               </xsl:attribute>
               <xsl:attribute name="alt">
                 <xsl:text>DVD </xsl:text>
               </xsl:attribute>
             </xsl:element>
           </xsl:if>
         </td>
       </tr>
       <tr>
         <td>
           <table border="0" width="100%">
             <tr>
               <td colspan="2" class="dvddata"><xsl:apply-templates select="Credits"/></td>
             </tr>
             <tr>
               <td width="50%" class="dvddata"><xsl:value-of select="RunningTime"/><xsl:text> min</xsl:text></td>
               <td class="dvddata"><xsl:apply-templates select="Regions"/></td>
             </tr>
             <tr>
               <td class="dvddata" colspan="2"><xsl:apply-templates select="Genres"/></td>
             </tr>
           </table>
         </td>
         <td class="dvddata"><xsl:call-template name="IMDB"/></td>
       </tr>
  </xsl:if>
</xsl:template>

<xsl:template name="IMDB">
        <xsl:if test="string-length(Discs/Disc/Slot)&gt;0">
          <xsl:element name="a">
            <xsl:attribute name="href">
              <xsl:text>http://akas.imdb.com/title/tt</xsl:text>
              <xsl:value-of select="Discs/Disc/Slot"/>
              <xsl:text>/</xsl:text>
            </xsl:attribute>
            <xsl:element name="img">
              <xsl:attribute name="src">
                <xsl:text>pics/imdb-logo.png</xsl:text>
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:text>Link zur IMDb fr </xsl:text>
                <xsl:value-of select="Title"/>
              </xsl:attribute>
            </xsl:element>
          </xsl:element>
        </xsl:if>
</xsl:template>

</xsl:stylesheet>

